/* $Id$
 *
 * Lasso - A free implementation of the Liberty Alliance specifications.
 *
 * Copyright (C) 2004-2007 Entr'ouvert
 * http://lasso.entrouvert.org
 *
 * Authors: See AUTHORS file in top-level directory.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LASSO_XML_IDFF_H__
#define __LASSO_XML_IDFF_H__

#include "xml.h"
#include "dsig/ds_key_info.h"
#include "dsig/ds_key_value.h"
#include "dsig/ds_rsa_key_value.h"
#include "dsig/ds_x509_data.h"
#include "lib_assertion.h"
#include "lib_authentication_statement.h"
#include "lib_authn_context.h"
#include "lib_authn_request_envelope.h"
#include "lib_authn_request.h"
#include "lib_authn_response_envelope.h"
#include "lib_authn_response.h"
#include "lib_federation_termination_notification.h"
#include "lib_idp_entries.h"
#include "lib_idp_entry.h"
#include "lib_idp_list.h"
#include "lib_logout_request.h"
#include "lib_logout_response.h"
#include "lib_name_identifier_mapping_request.h"
#include "lib_name_identifier_mapping_response.h"
#include "lib_register_name_identifier_request.h"
#include "lib_register_name_identifier_response.h"
#include "lib_request_authn_context.h"
#include "lib_scoping.h"
#include "lib_status_response.h"
#include "lib_subject.h"
#include "misc_text_node.h"
#include "saml_advice.h"
#include "saml_assertion.h"
#include "saml_attribute_designator.h"
#include "saml_attribute.h"
#include "saml_attribute_statement.h"
#include "saml_attribute_value.h"
#include "saml_audience_restriction_condition.h"
#include "saml_authentication_statement.h"
#include "saml_authority_binding.h"
#include "saml_condition_abstract.h"
#include "saml_conditions.h"
#include "saml_name_identifier.h"
#include "samlp_request_abstract.h"
#include "samlp_request.h"
#include "samlp_response_abstract.h"
#include "samlp_response.h"
#include "samlp_status_code.h"
#include "samlp_status.h"
#include "saml_statement_abstract.h"
#include "saml_subject_confirmation.h"
#include "saml_subject.h"
#include "saml_subject_locality.h"
#include "saml_subject_statement_abstract.h"
#include "saml_subject_statement.h"
#include "strings.h"
#include "xml_enc.h"

#endif /* __LASSO_XML_IDFF_H__ */
